## magpie 0.5

=== Makefile ===
CFLAGS= -g -Wall
#CFLAGS= -g -Wall -pg
LIBS = -lm
#LIBS = -lm -lccmalloc -ldl
#LIBS = -lm -lefence	 -- requires too much memory
#LIBS = -lm -ldebauch

AR = ar
ARFLAGS = cr
RM = rm -rf
MV = mv

YACC = bison
YFLAGS = -dtv

LEX = flex

GPERF = gperf

all:	magpie 

LIB=libdpkginfo.a

OBJS := parser.o scanner.o tags.o tokens.o support.o mod_core.o \
	mod_html.o mod_debian.o mod_xml.o mod_docbook.o mod_debiandoc.o \
	mod_texinfo.o \
	mod_sections.o mod_priorities.o mod_tasks.o mod_installed.o \
	mod_names.o mod_maintainers.o mod_sources.o mod_md5sums.o \
	mod_sizes.o mod_isizes.o mod_conffiles.o mod_keywords.o \
#	mod_setuids.o

$(LIB):	$(LIB)($(OBJS))

.y.a:
	$(YACC) $(YFLAGS) $<
	@$(MV) ${<:.y=.tab.c} ${<:.y=.c}
	@$(CC) -c $(CFLAGS)  ${<:.y=.c}
	@$(AR) $(ARFLAGS) $@ $%
	@$(RM) $% ${<:.y=.c}

.l.a:
	$(LEX) $<
	@$(MV) lex.yy.c ${<:.l=.c}
	@$(CC) -c $(CFLAGS) ${<:.l=.c}
	@$(AR) $(ARFLAGS) $@ $%
	@$(RM) $% ${<:.l=.c}

.g.a:
	$(GPERF) -tCD tags.g > tags.c
	@$(CC) -c $(CFLAGS) ${<:.g=.c}
	@$(AR) $(ARFLAGS) $@ $%
	# @$(RM) $% ${<:.g=.c}

$(LIB)(parser.o):	parser.y
$(LIB)(scanner.o):	scanner.l parser.h

$(LIB)(tags.o):		tags.g
	$(GPERF) -tCD -N in_word_set_${<:.g=} $< > ${<:.g=.c}
	@$(CC) -c $(CFLAGS) ${<:.g=.c}
	@$(AR) $(ARFLAGS) $@ $%
	# @$(RM) $% ${<:.g=.c}

$(LIB)(tokens.o):		tokens.g
	$(GPERF) -tCD -N in_word_set_${<:.g=} $< > ${<:.g=.c}
	@$(CC) -c $(CFLAGS) ${<:.g=.c}
	@$(AR) $(ARFLAGS) $@ $%
	# @$(RM) $% ${<:.g=.c}

magpie:	magpie.c $(LIB)
	cc -o magpie $(CFLAGS) magpie.c $(LIB) $(LIBS)

parser.h:	parser.y
	bison -d parser.y
	mv parser.tab.h parser.h
	rm parser.tab.c

cxref:
	cxref -I/usr/include/linux \
		-D__gnuc_va_list=__ptr_t \
		-Dtime_t=__kernel_time_t \
		-Dsuseconds_t=__kernel_suseconds_t \
		-Dwchar_t=int \
		-Dsize_t=int \
		-Dva_list=__gnuc_va_list \
		-DDIR="struct __dirstream" \
		-xref -html32 *.c
	install -d doc
	mv cxref* *html doc
	
install:
	install -d $(DESTDIR)/usr/sbin
	install magpie $(DESTDIR)/usr/sbin

	install -d $(DESTDIR)/usr/share/man/man8
	install magpie.8 $(DESTDIR)/usr/share/man/man8

clean:
	rm *.o *.a parser.c scanner.c tags.c tokens.c parser.output
	rm cxref.* *c.html

## magpie 0.9.3

=== meson_options.txt ===
option('opengl',
  type: 'boolean',
  value: true,
  description: 'Enable OpenGL'
)

option('opengl_libname',
  type: 'string',
  value: 'libGL.so.1',
  description: 'OpenGL library file name'
)

option('gles2_libname',
  type: 'string',
  value: 'libGLESv2.so.2',
  description: 'GLESv2 library file name'
)

option('gles2',
  type: 'boolean',
  value: true,
  description: 'Enable GLES2 support'
)

option('egl',
  type: 'boolean',
  value: true,
  description: 'Enable EGL support'
)
option('glx',
  type: 'boolean',
  value: true,
  description: 'Enable GLX support'
)

#option('wayland',
#  type: 'boolean',
#  value: false,
#  description: 'Enable Wayland support'
#)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd support'
)

option('native_backend',
  type: 'boolean',
  value: true,
  description: 'Enable the native backend'
)

option('remote_desktop',
  type: 'boolean',
  value: true,
  description: 'Enable remote desktop and screen cast support'
)

option('libgnome_desktop',
  type: 'boolean',
  value: false,
  description: 'Build with or without gnome-desktop'
)

option('egl_device',
  type: 'boolean',
  value: false,
  description: 'Enable EGLDevice and EGLStream renderer support'
)

#option('wayland_eglstream',
#  type: 'boolean',
#  value: false,
#  description: 'Enable Wayland EGLStream support client support'
#)

option('udev',
  type: 'boolean',
  value: true,
  description: 'Enable udev support when using the X11 backend'
)

option('udev_dir',
  type: 'string',
  value: '',
  description: 'Absolute path of the udev base directory'
)

option('libwacom',
  type: 'boolean',
  value: true,
  description: 'Enable libwacom support'
)

option('sound_player',
  type: 'boolean',
  value: true,
  description: 'Enable sound player support using libcanberra',
)

option('pango_ft2',
  type: 'boolean',
  value: true,
  description: 'Enable PangoFt2 support'
)

option('startup_notification',
  type: 'boolean',
  value: true,
  description: 'Enable startup notification support'
)

option('sm',
  type: 'boolean',
  value: true,
  description: 'Enable X11 session management support'
)

option('introspection',
  type: 'boolean',
  value: true,
  description: 'Enable GObject introspection'
)

option('docs',
  type: 'boolean',
  value: false,
  description: 'Enable gi-docgen documentation'
)

#option('cogl_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable cogl tests'
#)

#option('clutter_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable clutter tests'
#)

#option('core_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable mutter core tests'
#)

#option('native_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable mutter native backend tests'
#)

#option('tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable tests globally. Specific test suites can be controlled with core_tests, clutter_tests, and cogl_tests'
#)

#option('kvm_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable running certain tests in a virtual machine with a custom built kernel'
#)

#option('kvm_kernel_image',
#  type: 'string',
#  value: '',
#  description: 'Path to a Linux kernel image to be used for KVM testing'
#)

#option('tty_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable tests that must be run on a TTY (KMS tests without KVM)'
#)

option('profiler',
  type: 'boolean',
  value: true,
  description: 'Enable Sysprof tracing'
)

#option('installed_tests',
#  type: 'boolean',
#  value: false,
#  description: 'Enable mutter installed tests'
#)

option('verbose',
  type: 'boolean',
  value: true,
  description: 'Enable verbose logging ability'
)

#option('xwayland_path',
#  type: 'string',
#  value: '',
#  description: 'Path to Xwayland executable'
#)

#option('xwayland_grab_default_access_rules',
#  type: 'string',
#  value: 'gnome-boxes,remote-viewer,virt-viewer,virt-manager,vinagre,vncviewer,Xephyr',
#  description: 'Comma delimited list of applications resources or class allowed to issue X11 grabs in Xwayland'
#)

#option('xwayland_initfd',
#  type: 'feature',
#  value: 'auto',
#  description: 'Whether -initfd argument is passed to Xwayland to guarantee services (e.g. gsd-xsettings) startup before applications'
#)

option('catch',
  type: 'boolean',
  value: false,
  description: 'Use catch to catch backtraces'
)

option('with_shared_components',
  type: 'boolean',
  value: false,
  description: 'Build components that are shared with Mutter'
)

option('with_example_wm',
  type: 'boolean',
  value: false,
  description: 'Build example window manager'
)

option('default_driver',
  type: 'combo',
  choices: ['auto', 'gl', 'gl3', 'gles2', 'nop'],
  value: 'auto'
)

=== debian/changelog ===
magpie (0.9.3-0ubuntu10) oracular; urgency=medium

  * Bug-fix
    Resolve inability to scale the monitor resolution due to GNOME 47
    api changes (LP: #2081694)
    0001-Create-the-new-X11-scaling-dbus-interface-that-GSD-4.patch
    0002-Ensure-update-scaling-is-done-when-monitors-are-noti.patch
    0003-Cleanup-of-code-32.patch

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 24 Sep 2024 20:07:41 +0100

magpie (0.9.3-0ubuntu9) oracular; urgency=medium

  * Bug-fix
    Adapt to gnome-settings-daemon v47
    0001-Add-API-replacing-gsd-power-s-use-of-libgnome-rr.patch
    (LP: #2080797)
    Refresh 0001-Merge-existing-x11-fractional-scaling-patch.patch
  * Packaging changes
    d/control B/D add restriction for gnome-settings-daemon due
    to the extra patch
    d/control rework version restrictions and dependencies to resolve
    FTBFS and run wrap-and-sort to tidy
    update libmagpie symbols for the patch new methods

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Sep 2024 20:08:18 +0100

magpie (0.9.3-0ubuntu8) noble; urgency=medium

  * Revert recent X11 fractional scaling changes now that Ubuntu's
    mutter has regained support (LP: #2060659)
    - Drop install_x11_schema.patch
    - Don't try to install mutter gsettings schema
    - Drop Breaks/Replaces: mutter-common
    - Bump required mutter-common version

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Apr 2024 16:09:50 -0400

magpie (0.9.3-0ubuntu7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:09:41 +0000

magpie (0.9.3-0ubuntu6) noble; urgency=medium

  * Bug-fix
    - add X11 schema to support magpie's fractional scaling patch.
      mutter-common v46.0-1ubuntu1 disabled the patch that delivered the
      schema for fractional scaling to work - without the schema
      magpie crashes.  This patch will need to be reverted if
      mutter-common regains its x11 fractional scaling patch variant
      (LP: #2058847)
      install_x11_schema.patch
  - d/magpie-common.install install the X11 schema key
  - d/control B/D replace obsolete pkg-config with pkgconf
  - d/control add mutter-common version restriction, replaces/breaks
    for the X11 schema inclusion so that upgrades unpack mutter-common
    v46 first so that we don't have package conflict files issues.
  - d/control remove control.in and B/D dh-sequence-gnome since noble
    gnome apps have moved away from requiring this control packaging format
  - d/rules no longer build with remote desktop support since GNOME 46
    gnome-remote-desktop only works with gnome-shell v46/GDM3


 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 28 Mar 2024 20:55:47 +0000

magpie (0.9.3-0ubuntu5) noble; urgency=medium

  * No-change rebuild for mutter ABI changes on armhf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 25 Mar 2024 19:30:54 +0100

magpie (0.9.3-0ubuntu4) noble; urgency=high

  * No change rebuild against libcanberra0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Sun, 24 Mar 2024 16:23:31 +0100

magpie (0.9.3-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:10:02 +0000

magpie (0.9.3-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:39:07 +0000

magpie (0.9.3-0ubuntu1) mantic; urgency=medium

  * New upstream microrelease (LP: #2032649)
    - Remove toggle-shaded keyboard shortcut binding and associated code;
      GNOME 45 has removed the associated schema since the toggle-shaded was
      considered broken capability (LP: #2031620)
    - Add COGL default_driver option to allow certain architectures to be
      built with a specific driver name. It is recommended to leave this as
      the default 'auto' for most architectures.
  * Drop meson-add-back-default_driver-option.patch since the COGL
    default_driver option this has been incorporated in this release
  * backport fractional scaling from lunar (LP: #2031908)
    0001-Merge-existing-x11-fractional-scaling-patch.patch
  * Packaging changes
    - d/libmagpie-0-0.symbols update for shade removal; no budgie components
      use this option so no need to bump the ABI

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 22 Aug 2023 20:17:39 +0100

magpie (0.9.2-0ubuntu2) mantic; urgency=medium

  * Resolve FTBFS for armhf architecture; add a meson option to build with
    a specific cogl driver required for 32bit armhf compilation
    meson-add-back-default_driver-option.patch (LP: #2031387)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 15 Aug 2023 19:57:56 +0100

magpie (0.9.2-0ubuntu1) mantic; urgency=medium

  * Initial Release (Closes: #1040005)

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 13 Jul 2023 22:53:12 +0100

=== debian/control ===
Source: magpie
Section: x11
Priority: optional
Maintainer: David Mohammed <fossfreedom@ubuntu.com>
Build-Depends:
 adwaita-icon-theme <!nocheck>,
 at-spi2-core <!nocheck>,
 dbus-daemon <!nocheck>,
 debhelper-compat (= 13),
 dh-exec,
 dh-sequence-gir,
 dmz-cursor-theme <!nocheck>,
 gir1.2-atk-1.0-dev,
 gir1.2-cairo-1.0-dev,
 gir1.2-gdesktopenums-3.0-dev,
 gir1.2-gio-2.0-dev,
 gir1.2-gl-1.0-dev,
 gir1.2-gobject-2.0-dev,
 gir1.2-graphene-1.0-dev,
 gir1.2-pango-1.0-dev,
 gir1.2-pangocairo-1.0-dev,
 gir1.2-xfixes-4.0-dev,
 gir1.2-xlib-2.0-dev,
 gnome-control-center-data,
 gnome-pkg-tools (>= 0.10),
 gnome-settings-daemon-common <!nocheck>,
 gnome-settings-daemon-dev,
 gobject-introspection (>= 1.80),
 gsettings-desktop-schemas-dev (>= 42),
 gtk-doc-tools,
 libcairo2-dev,
 libcanberra-gtk3-dev,
 libcolord-dev,
 libdrm-dev (>= 2.4.83),
 libegl1-mesa-dev,
 libfribidi-dev,
 libgbm-dev (>= 17.3) [linux-any],
 libgdk-pixbuf-2.0-dev,
 libgl-dev,
 libgles-dev,
 libglib2.0-dev (>= 2.69.0),
 libgnome-desktop-3-dev (>= 3.36.0),
 libgraphene-1.0-dev (>= 1.10.2),
 libgtk-3-dev (>= 3.19.8),
 libgudev-1.0-dev,
 libice-dev,
 libinput-dev (>= 1.19.0) [linux-any],
 libjson-glib-dev (>= 0.13.2-1~),
 liblcms2-dev,
 libpam0g-dev,
 libpango1.0-dev,
 libpipewire-0.3-dev (>= 0.3.33) [linux-any],
 libsm-dev,
 libstartup-notification0-dev,
 libsysprof-capture-4-dev (>= 3.40.1) [linux-any],
 libsystemd-dev,
 libwacom-dev (>= 0.13) [linux-any],
 libx11-dev,
 libx11-xcb-dev,
 libxau-dev,
 libxcb-randr0-dev,
 libxcb-res0-dev,
 libxcomposite-dev (>= 1:0.4),
 libxcursor-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev,
 libxi-dev,
 libxinerama-dev,
 libxkbcommon-dev,
 libxkbcommon-x11-dev,
 libxkbfile-dev,
 libxrandr-dev,
 libxrender-dev,
 libxt-dev,
 meson (>= 0.55.0),
 pkgconf,
 python3-dbus <!nocheck>,
 python3-dbusmock <!nocheck>,
 sysprof (>= 3.40.1) [linux-any],
 systemd-dev,
 xauth <!nocheck>,
 xcvt [linux-any],
 xkb-data,
 xvfb,
 zenity,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/buddiesofbudgie/magpie
Vcs-Git: https://github.com/ubuntubudgie/magpie.git -b debian
Vcs-Browser: https://github.com/ubuntubudgie/magpie/tree/debian

Package: gir1.2-magpie-0
Section: introspection
Architecture: linux-any
Multi-Arch: same
Depends:
 libmagpie-0-0 (= ${binary:Version}),
 ${gir:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Description: GObject introspection data for magpie
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the GObject introspection data which may be
 used to generate dynamic bindings.

Package: libmagpie-0-0
Section: libs
Architecture: linux-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends:
 adwaita-icon-theme,
 gsettings-desktop-schemas (>= 42),
 magpie-common,
 mutter-common (>= 46.0-1ubuntu9~),
 ${misc:Depends},
 ${shlibs:Depends},
Description: window manager library from the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the window manager shared library, used by magpie
 itself, and gnome-shell.

Package: libmagpie-0-dev
Section: libdevel
Architecture: linux-any
Multi-Arch: same
Depends:
 gir1.2-magpie-0 (= ${binary:Version}),
 gsettings-desktop-schemas-dev (>= 42),
 libatk1.0-dev,
 libcairo2-dev,
 libdrm-dev,
 libegl1-mesa-dev,
 libgbm-dev,
 libgdk-pixbuf-2.0-dev,
 libgles-dev,
 libglib2.0-dev (>= 2.69.0),
 libgraphene-1.0-dev (>= 1.9.3),
 libgtk-3-dev,
 libinput-dev (>= 1.19),
 libjson-glib-dev,
 libmagpie-0-0 (= ${binary:Version}),
 libpango1.0-dev,
 libx11-dev,
 libxcomposite-dev,
 libxdamage-dev,
 libxext-dev,
 libxfixes-dev (>= 6.0),
 libxi-dev,
 libxrandr-dev,
 ${misc:Depends},
Description: Development files for the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the development files.

Package: magpie-common
Section: misc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: shared files for the magpie window manager
 magpie is a X11 window manager and compositor library. It contains
 functionality related to, among other things, window management, window
 compositing, focus tracking, workspace management, keybindings and monitor
 configuration.
 .
 Magpie is a soft-fork of GNOME mutter v43.x tailored for the requirements
 of the budgie-desktop.
 .
 Internally it uses a fork of Cogl, a hardware acceleration abstraction
 library used to simplify usage of OpenGL pipelines, as well as a fork
 of Clutter, a scene graph and user interface toolkit.
 .
 This package contains the shared files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# Specifically define the API/SONAME here to be used as part of
# dh_shlibdeps definition as well as the dev/gir install files
MAGPIE_API_VERSION = 0
MAGPIE_SONAME = 0

export MAGPIE_API_VERSION
export MAGPIE_SONAME

%:
	dh $@

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Degl_device=true \
	-Dremote_desktop=false
else
CONFFLAGS = \
	-Dsystemd=false \
	-Dudev=false \
	-Dlibwacom=false \
	-Dnative_backend=false \
	-Dprofiler=false \
	-Dremote_desktop=false
endif

ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH),armel armhf))
CONFFLAGS += \
	-Ddefault_driver=gles2
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		$(CONFFLAGS)


override_dh_girepository:
	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/magpies-$(MAGPIE_API_VERSION)

override_dh_makeshlibs:
	dh_makeshlibs -V

override_dh_shlibdeps:
	dh_shlibdeps -Llibmagpie-$(MAGPIE_API_VERSION)-$(MAGPIE_SONAME) \
		-l/usr/lib/$(DEB_HOST_MULTIARCH)/magpie-$(MAGPIE_API_VERSION)

## magpie 0.9.4

=== debian/changelog ===
magpie (0.9.4-3ubuntu2) questing; urgency=medium

  * This time actually add xorg to libmagpie (LP: #2114015)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Jun 2025 20:50:51 +0100

magpie (0.9.4-3ubuntu1) questing; urgency=medium

  * Add dependency on xorg (LP: #2114015)

 -- David Mohammed <fossfreedom@ubuntu.com>  Mon, 16 Jun 2025 20:04:02 +0100

magpie (0.9.4-3) unstable; urgency=medium

  * Add arch statement to symbols file to prevent lintian complaining
    for i386

 -- David Mohammed <fossfreedom@ubuntu.com>  Fri, 04 Oct 2024 17:35:32 +0100

magpie (0.9.4-2) unstable; urgency=medium

  * Don't enable sysprof for i386 since is no longer available
    Closes: #1083182
  * Packaging Changes
    d/control add B/D i386 restriction for sysprof
    d/control add profiler config flag for i386 restriction

 -- David Mohammed <fossfreedom@ubuntu.com>  Thu, 03 Oct 2024 19:34:06 +0100

magpie (0.9.4-1) unstable; urgency=medium

  * New upstream release
  - Adapt to gnome-settings-daemon v47 (LP: #2080797)
  * Packaging Changes
  - d/control B/D add restriction for gnome-settings-daemon due
    to the extra patch
    d/control rework version restrictions and dependencies to resolve
    FTBFS and run wrap-and-sort to tidy (Closes: #1082892)
    update libmagpie symbols for the patch new methods
  - d/control B/D replace obsolete pkg-config with pkgconf
  - d/control remove control.in and B/D dh-sequence-gnome since noble
    gnome apps have moved away from requiring this control packaging format
  - d/rules no longer build with remote desktop support since GNOME 46
    gnome-remote-desktop only works with gnome-shell v46/GDM3

 -- David Mohammed <fossfreedom@ubuntu.com>  Sat, 28 Sep 2024 15:20:53 +0100

magpie (0.9.3-1) unstable; urgency=medium

  * Initial Release (Closes: #1040005)

 -- David Mohammed <fossfreedom@ubuntu.com>  Tue, 28 Nov 2023 20:54:35 +0000

=== debian/control ===
--- 
+++ 
@@ -77,7 +77,7 @@
  pkgconf,
  python3-dbus <!nocheck>,
  python3-dbusmock <!nocheck>,
- sysprof (>= 3.40.1) [linux-any],
+ sysprof [!hurd-i386 !i386],
  systemd-dev,
  xauth <!nocheck>,
  xcvt [linux-any],
@@ -85,7 +85,7 @@
  xvfb,
  zenity,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/buddiesofbudgie/magpie
 Vcs-Git: https://github.com/ubuntubudgie/magpie.git -b debian
 Vcs-Browser: https://github.com/ubuntubudgie/magpie/tree/debian
@@ -124,7 +124,8 @@
  adwaita-icon-theme,
  gsettings-desktop-schemas (>= 42),
  magpie-common,
- mutter-common (>= 46.0-1ubuntu9~),
+ mutter-common,
+ xorg,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: window manager library from the magpie window manager

=== debian/rules ===
--- 
+++ 
@@ -36,10 +36,13 @@
 	-Ddefault_driver=gles2
 endif
 
+ifneq ($(filter i386,$(DEB_HOST_ARCH)),)
+CONFFLAGS +=-Dprofiler=false
+endif
+
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		$(CONFFLAGS)
-
 
 override_dh_girepository:
 	dh_girepository /usr/lib/$(DEB_HOST_MULTIARCH)/magpies-$(MAGPIE_API_VERSION)

=== debian/watch ===
version=4
opts="\
    pgpsigurlmangle=s/$/.asc/,\
    compression=xz, \
    dversionmangle=s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//, \
    downloadurlmangle=s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#, \
    filenamemangle=s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#" \
https://github.com/buddiesofbudgie/@PACKAGE@/tags .*/releases/tag/v?@ANY_VERSION@

## magpie 1.10.0

=== DESCRIPTION ===
Package: magpie
Type: Package
Title: MeRIP-Seq data Analysis for Genomic Power Investigation and
        Evaluation
Version: 1.10.0
Authors@R: c(person(given = "Daoyu",
                    family = "Duan",
                    role = c("aut", "cre"),
                    email = "dxd429@case.edu"),
             person(given = "Zhenxing",
                    family = "Guo",
                    role = c("aut"),
                    email = "guozhenxing@cuhk.edu.cn"))
Description: This package aims to perform power analysis for the MeRIP-seq study. It calculates FDR, FDC,
 power, and precision under various study design parameters, including but not limited to 
 sample size, sequencing depth, and testing method. It can also output results into .xlsx files or 
 produce corresponding figures of choice. 
License: MIT + file LICENSE
Encoding: UTF-8
biocViews: Epitranscriptomics, DifferentialMethylation, Sequencing,
        RNASeq, Software
RoxygenNote: 7.2.1
Imports: utils, rtracklayer, Matrix, matrixStats, stats, S4Vectors,
        methods, graphics, GenomicRanges, GenomicFeatures, IRanges,
        Rsamtools, AnnotationDbi, aod, BiocParallel, DESeq2, openxlsx,
        RColorBrewer, reshape2, TRESS
Depends: R (>= 4.3.0)
Suggests: knitr, rmarkdown, kableExtra, RUnit, TBX20BamSubset,
        BiocGenerics, BiocStyle
VignetteBuilder: knitr
URL: https://github.com/dxd429/magpie
BugReports: https://github.com/dxd429/magpie/issues
git_url: https://git.bioconductor.org/packages/magpie
git_branch: RELEASE_3_22
git_last_commit: 0afc3bf
git_last_commit_date: 2025-10-29
Repository: Bioconductor 3.22
Date/Publication: 2025-10-29
NeedsCompilation: no
Packaged: 2025-10-30 04:48:08 UTC; biocbuild
Author: Daoyu Duan [aut, cre],
  Zhenxing Guo [aut]
Maintainer: Daoyu Duan <dxd429@case.edu>

## magpie 1.11.0

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: MeRIP-Seq data Analysis for Genomic Power Investigation and
         Evaluation
-Version: 1.10.0
+Version: 1.11.0
 Authors@R: c(person(given = "Daoyu",
                     family = "Duan",
                     role = c("aut", "cre"),
@@ -31,13 +31,13 @@
 URL: https://github.com/dxd429/magpie
 BugReports: https://github.com/dxd429/magpie/issues
 git_url: https://git.bioconductor.org/packages/magpie
-git_branch: RELEASE_3_22
-git_last_commit: 0afc3bf
+git_branch: devel
+git_last_commit: 48f31cd
 git_last_commit_date: 2025-10-29
-Repository: Bioconductor 3.22
-Date/Publication: 2025-10-29
+Repository: Bioconductor 3.23
+Date/Publication: 2025-11-04
 NeedsCompilation: no
-Packaged: 2025-10-30 04:48:08 UTC; biocbuild
+Packaged: 2025-11-04 23:19:55 UTC; biocbuild
 Author: Daoyu Duan [aut, cre],
   Zhenxing Guo [aut]
 Maintainer: Daoyu Duan <dxd429@case.edu>
